I finally got around to reinstalling 9.2.1 on my G4, and remembered why I'd reverted to 9.1 a couple of months ago. I tried to play some Diablo II and once again the game just ground to a halt. This time, though, I thought I'd play around with the extensions before I did anything else, and so I replaced all of the ATI extensions installed by the 9.2.1 installer with the older ATI extensions that had been in the 9.1 set. It worked. Diablo now plays as well in 9.2.1 as it did on 9.1. <br><br>And that's true too.--Shakespeare, King Lear
_________________________
MACTECH ubi dolor ibi digitus